Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LatCommon::UniformWeights Class Reference

This class is used to implement the same weight for all projections. More...

`#include <UniformWeights.h>`

Inherits LatCommon::Weights.

## Public Member Functions
| UniformWeights (Weight weight)
| Constructs uniform weights. More...
virtual | ~UniformWeights ()
| Destructor.
virtual Weight | getWeight (const Coordinates &) const
| Returns the same weight regardless of the specified indices.
Public Member Functions inherited from LatCommon::Weights
virtual | ~Weights ()
| Destructor.

## Protected Member Functions
virtual void | format (std::ostream &os) const
| Identifies the type of weights, formats them and outputs them on `os`. More...

## Protected Attributes
Weight | m_weight

## Additional Inherited Members
Related Functions inherited from LatCommon::Weights
std::ostream & | operator<< (std::ostream &os, const Weights &o)

## Detailed Description

This class is used to implement the same weight for all projections.

## Constructor & Destructor Documentation

LatCommon::UniformWeights::UniformWeights | ( | Weight | weight | ) |
| inline explicit

Constructs uniform weights.

Parameters

  weight | Weight for all projections.

## Member Function Documentation

virtual void LatCommon::UniformWeights::format | ( | std::ostream & | os | ) | const
| inline protected virtual

Identifies the type of weights, formats them and outputs them on `os`.

Remarks
  Deriving classes should identify themselves in the output.

Implements LatCommon::Weights.

The documentation for this class was generated from the following file:

- latcommon/include/latcommon/UniformWeights.h